/*
 * $Date: $
 * $Source: $
 * $Revision: $
 * $State: $
 *
 * $Log: $
 */

#ifndef _EMU_SIGNAL_H
#define _EMU_SIGNAL_H

#include "emu_defs.h"

extern void signal_init(void);
extern void signal_reset(void);

extern void signal_run(void);

extern void signal_queue(void (*signal_proc)(void));
extern void signal_sigio(void);
extern void signal_quit(void);
extern void signal_timer(void);

extern void signal_block(void);
extern void signal_unblock(void);

#endif /* _EMU_SIGNAL_H */
